# Function isKnownComment

- isKnownComment<K extends "raw-little" | "raw-list" | "raw-view">(
  comment: FormatComments<K>,
  format: K,
  ): comment is InferSchemas<
  { "raw-list": {}; "raw-little": {}; "raw-view": {} }[K],
  >

  #### Type Parameters

  - K extends "raw-little" | "raw-list" | "raw-view"

  #### Parameters

  - comment: FormatComments<K>
  - format: K

  #### Returns comment is InferSchemas<{ "raw-list": {}; "raw-little": {}; "raw-view": {} }[K]>

  - Defined in jamespot-user-api/src/util/formats.ts:10